

<!--<div class="flexContainer">-->
<!--  <div [ngSwitch]="step" *ngIf="step != 0">-->
<!--    <div *ngSwitchCase="0"></div>-->
<!--    <div *ngSwitchCase="1"> <gender-component (genderSelected)="genderSaved($event)"></gender-component></div>-->
<!--    <div *ngSwitchCase="2"> <age-component (closed)="ageSaved($event)"></age-component></div>-->
<!--    <div *ngSwitchCase="3"> <height-component (heightInput)="heightSave($event)"></height-component></div>-->
<!--    <div *ngSwitchCase="4"> <weight-component (weightInput)="weightSave($event)"></weight-component></div>-->
<!--    <div *ngSwitchCase="5"> <body-type-component [gender]="genBodyType" (bodyTypeInput)="btSave($event)"></body-type-component></div>-->
<!--    <div *ngSwitchCase="6"> <diet-preference-component (dietInput)="dietSave($event)"></diet-preference-component></div>-->
<!--    <div *ngSwitchCase="7"> <goal-component (saveGoal)="confirmDetails($event)"></goal-component></div>-->
<!--  </div>-->


<!--  <div class="cardContainer">-->
<!--    <mat-card class="userCard">-->
<!--      <mat-card-header class="statHeader">-->

<!--        <mat-card-title><i class="fas fa-user-circle"></i> User Details</mat-card-title>-->
<!--      </mat-card-header>-->
<!--      <mat-card-content>-->
<!--        <button class="statButton" mat-raised-button *ngIf="gender" (click)="step = 1;">{{gender}}</button>-->
<!--        <button class="statButton" mat-raised-button *ngIf="age" (click)="step = 2;">{{age | date: 'mediumDate'}}</button>-->
<!--        <button class="statButton" mat-raised-button *ngIf="height" (click)="step = 3;">{{height}}</button>-->
<!--        <button class="statButton" mat-raised-button *ngIf="weight" (click)="step = 4;">{{weight}}</button>-->
<!--        <button class="statButton" mat-raised-button *ngIf="bodyType" (click)="step = 5;">{{bodyType}}</button>-->
<!--        <button class="statButton" mat-raised-button *ngIf="dietPreference" (click)="step = 6;">{{dietPreference}}</button>-->
<!--        <button class="statButton" mat-raised-button *ngIf="dietPreference" (click)="step = 7;">Goal: </button>-->
<!--        <button *ngIf="getPlans" class="getPlansButton" mat-raised-button [routerLink]="['/diet-plans']">Get Plans <i class="fas fa-arrow-circle-right"></i></button>-->
<!--      </mat-card-content>-->
<!--    </mat-card>-->
<!--  </div>-->


<!--</div>-->





<app-diet-plans></app-diet-plans>



